Bug 498612 - Onboard HDA Intel too quiet on Dell XPS M1330 laptop [HDA Intel 1028:0209]
Onboard HDA Intel too quiet on Dell XPS M1330 laptop [HDA Intel 1028:0209]
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: alsa-utils (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
:
Depends On:
Blocks: AlsaVolume
  Show dependency treegraph
 
Reported: 2009-05-01 09:45 EDT by Paul W. Frields
Modified: 2009-05-21 11:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-21 05:13:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
alsa-info.txt (23.87 KB, text/plain)
2009-05-01 09:45 EDT, Paul W. Frields
no flags Details
"Before" state on alsamixer (after 'alsactl init') (3.56 KB, text/plain)
2009-05-01 09:47 EDT, Paul W. Frields
no flags Details
"After" state on alsamixer (3.55 KB, text/plain)
2009-05-01 09:47 EDT, Paul W. Frields
no flags Details
New "after" state on alsamixer (3.55 KB, text/plain)
2009-05-01 14:29 EDT, Paul W. Frields
no flags Details

  None (edit)
Description Paul W. Frields 2009-05-01 09:45:11 EDT
Created attachment 342089 [details]
alsa-info.txt

Even after turning up the new volume control all the way, and the control on Totem, music is still incredibly quiet on the built-in speakers.  It's listenable on headphones, but won't get very loud -- pleasant in a quiet room, but unusable in any louder environment.

The volume control applet doesn't even appear to change volume anywhere, on built-in speakers or headphones.

Attaching /tmp/alsa-info.txt, and amixer before and after states, and setting this to block AlsaVolume.
Comment 1 Paul W. Frields 2009-05-01 09:47:01 EDT
Created attachment 342090 [details]
"Before" state on alsamixer (after 'alsactl init')

Initial ALSA state for HDA Intel sound controller, PCI ID 8086:284b
Comment 2 Paul W. Frields 2009-05-01 09:47:56 EDT
Created attachment 342091 [details]
"After" state on alsamixer

Fixed ALSA state for HDA Intel sound controller, PCI ID 8086:284b
Comment 3 Paul W. Frields 2009-05-01 14:29:49 EDT
Created attachment 342140 [details]
New "after" state on alsamixer

Realized the previous version (1) was too quiet in headphones, and (2) leaves the second headphone jack still non-functional.  This laptop has a dual headphone jack; both jacks turn off the laptop's built-in speakers as expected, but the second jack doesn't work by default without running the alsamixer and unmuting it, which I've done.
Comment 4 Lennart Poettering 2009-05-05 12:01:49 EDT
diff is this:

--- a	2009-05-05 17:59:53.000000000 +0200
+++ b	2009-05-05 18:00:04.000000000 +0200
@@ -1,30 +1,30 @@
 Simple mixer control 'Master',0
   Capabilities: pvolume pvolume-joined pswitch pswitch-joined
   Playback channels: Mono
   Limits: Playback 0 - 127
-  Mono: Playback 100 [79%] [-20.25dB] [on]
+  Mono: Playback 127 [100%] [0.00dB] [on]
 Simple mixer control 'Headphone',0
   Capabilities: pvolume pswitch
   Playback channels: Front Left - Front Right
   Limits: Playback 0 - 127
   Mono:
-  Front Left: Playback 100 [79%] [-20.25dB] [on]
-  Front Right: Playback 100 [79%] [-20.25dB] [on]
+  Front Left: Playback 127 [100%] [0.00dB] [on]
+  Front Right: Playback 127 [100%] [0.00dB] [on]
 Simple mixer control 'Headphone2',0
   Capabilities: pvolume pswitch
   Playback channels: Front Left - Front Right
   Limits: Playback 0 - 127
   Mono:
-  Front Left: Playback 127 [100%] [0.00dB] [off]
-  Front Right: Playback 127 [100%] [0.00dB] [off]
+  Front Left: Playback 127 [100%] [0.00dB] [on]
+  Front Right: Playback 127 [100%] [0.00dB] [on]
 Simple mixer control 'PCM',0
   Capabilities: pvolume
   Playback channels: Front Left - Front Right
   Limits: Playback 0 - 255
   Mono:
-  Front Left: Playback 155 [61%] [-20.00dB]
-  Front Right: Playback 155 [61%] [-20.00dB]
+  Front Left: Playback 225 [88%] [-6.00dB]
+  Front Right: Playback 225 [88%] [-6.00dB]
 Simple mixer control 'IEC958',0
   Capabilities: pswitch pswitch-joined
   Playback channels: Mono
   Mono: Playback [on]
@@ -101,6 +101,6 @@
   Capabilities: pvolume pswitch
   Playback channels: Front Left - Front Right
   Limits: Playback 0 - 127
   Mono:
-  Front Left: Playback 100 [79%] [-20.25dB] [on]
-  Front Right: Playback 100 [79%] [-20.25dB] [on]
+  Front Left: Playback 127 [100%] [0.00dB] [on]
+  Front Right: Playback 127 [100%] [0.00dB] [on]


This is probably a good candidate for inclusion in the alsa db.
Comment 5 Adam Williamson 2009-05-15 11:54:18 EDT
Jaroslav, was this one done in 1.0.20?
Comment 6 Jaroslav Kysela 2009-05-21 05:13:14 EDT
The alsa-utils-1.0.20-3 package should fix this issue. Reopen this bug if the problem persist.

Note You need to log in before you can comment on or make changes to this bug.